import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}

// 退出登录
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}

// 获取oss token
export function getToken() {
  return httpRequest.get('/api/usercenter/aliyun/assume-role')
}

/**
 * 文件上传
 */
export function fileUpload(formData) {
  return httpRequest({
    url: 'https://webapp-pub.oss-cn-beijing.aliyuncs.com',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    timeout: 900000,
    data: formData,
    withCredentials: false
  })
}
// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}
/**
 * 获取登录用户的角色
 */
export function getUserRoles() {
  return httpRequest.get('/api/marketing/admin/v1/user/roles')
}
